# FEMBEM
The **fembem** library provides tools for finite elements and boundary integral equations, using the **castor** library. It's a C++ header only library, divided in two .hpp files:
- __fem.hpp__ for finite elements tools,
- __bem.hpp__ for integral formulations using boundary elements.  

Some executable demos are given to detail fonctionalities in /demo directory. 

### Important note:
- The **castor** library should be fully installed with graphics tools (VTK) and linear algebra (openblas). For more informations, you can refer to installation procedure of the **castor** library. 
- Compile in release mode (-O3 or -Os) to improve speed performance. 

### Authors:
- Matthieu Aussal (matthieu.aussal@polytechnique.edu)
- Marc Bakry (marc.bakry@polytechnique.edu)
- Hadrien Montanelli (hadrien.montanelli@inria.fr)
